﻿Imports Microsoft.VisualBasic
Imports System.Web
Imports CE.iPhone.PList
Imports MySql.Data.MySqlClient

Public Class util

	Public Shared databasePrefix As String

	Public Shared Function loadConfig(configureFile As String) As String

		' Load the configure file
		Dim configFile As PListRoot = PListRoot.Load(configureFile)		 ' Load the configure plist file, ...
		Dim data_config As PListDict = CType(configFile.Root, PListDict) ' ... and get the dictionary out of it

		' Initialize the MySql String Builder
		Dim strbuilder As New MySqlConnectionStringBuilder

		' Fill in the data
		strbuilder.Server = CType(data_config("server"), PListString).Value
		strbuilder.Port = CType(data_config("port"), PListInteger).Value
		strbuilder.UserID = CType(data_config("username"), PListString).Value
		strbuilder.Password = CType(data_config("password"), PListString).Value
		strbuilder.Database = CType(data_config("schema"), PListString).Value
		databasePrefix = CType(data_config("prefix"), PListString).Value

		Return strbuilder.ConnectionString
	End Function

	Public Shared Function tableName(table As String) As String
		Return String.Format("{0}{1}", databasePrefix.Trim, table.Trim)
	End Function
End Class
