﻿<%@ WebHandler Language="VB" Class="version" %>

Imports System
Imports System.Web
Imports CE.iPhone.PList

Public Class version : Implements IHttpHandler
    
    Public Sub ProcessRequest(ByVal context As HttpContext) Implements IHttpHandler.ProcessRequest
        
		Dim data As New PListDict
		data.Add("version", New PListString("MessHall Server 0.1"))
		
		Dim serverVars As New PListDict
		For Each var As String In context.Request.ServerVariables.AllKeys
			serverVars.Add(var, New PListString(context.Request.ServerVariables(var)))
		Next
		data.Add("server", serverVars)
		
		Dim protocols As New PListArray
		protocols.Add(New PListString("queryString"))
		protocols.Add(New PListString("plist"))
		data.Add("protocols", protocols)
		
		Dim plist As New PListRoot
		plist.Root = data
		plist.Save(context.Response.OutputStream, PListFormat.Xml)
		
		context.Response.ContentType = "text/xml"
		
    End Sub
 
    Public ReadOnly Property IsReusable() As Boolean Implements IHttpHandler.IsReusable
        Get
			Return True
        End Get
    End Property

End Class